"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
function useEvent(handler) {
    var handlerRef = (0, react_1.useRef)(null);
    (0, react_1.useLayoutEffect)(function () {
        handlerRef.current = handler;
    });
    return (0, react_1.useCallback)(function () {
        var args = [];
        for (var _i = 0; _i < arguments.length; _i++) {
            args[_i] = arguments[_i];
        }
        var fn = handlerRef.current;
        return fn === null || fn === void 0 ? void 0 : fn.apply(void 0, args);
    }, []);
}
exports.default = useEvent;
